# External Database Source - SQLite

This module extends `base_external_dbsource`, allowing you to connect to foreign SQLite databases using SQLAlchemy.

Table of contents

- Installation
- Configuration
- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Installation

To install this module, you need to:

- Install `sqlalchemy` python library

# Configuration

To configure this module, you need to:

1. Database sources can be configured in Settings > Configuration -> Data sources.

# Usage

To use this module:

- Go to Settings > Database Structure > Database Sources
- Click on Create to enter the following information:
- Datasource name
- Pasword
- Connector: Choose the database to which you want to connect
- Connection string: Specify how to connect to database

# Known issues / Roadmap

- Add X.509 authentication

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Daniel Reis
- LasLabs

## Contributors

- Daniel Reis <dreis.pt@hotmail.com>
- Maxime Chambreuil <maxime.chambreuil@savoirfairelinux.com>
- Gervais Naoussi <gervaisnaoussi@gmail.com>
- Dave Lasley <dave@laslabs.com>
- Tecnativa:
  - Sergio Teruel
- Andrea Cattalani (Moduon)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-backend project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.